/*  ==========================================================================
    Module: LOADING
    might not be used anymore
    ========================================================================== */

    /* A PAGE THAT IS SHOWN WHILE LOADING
    ========================================================================== */

    .loading-container
    {
        height: 100%;
    }

    .loading
    {
        text-align: center;
        margin-left: auto;
        margin-right: auto;
        position: absolute;
        top: 20%;
        width: 100%;
    }

    .loading__logo
    {
        width: 40%;
        margin-bottom: 2.8rem;
    }


    /* A PAGE THAT IS SHOWN WHILE LOADING
    ========================================================================== */

    .loading-bar
    {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 50px;
        background: transparent;
        pointer-events: none;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
        -webkit-transition: -webkit-transform 0.3s;
        transition: transform 0.3s;

        &.loading-bar--animate::before
        {
            opacity: 1;
            -webkit-transition: -webkit-transform 5.4s linear 0.3s;
            transition: transform 5.4s linear 0.3s;
        }

        &.loading-bar--animate,
        &.loading-bar--animate::before
        {
            -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
        }

        &::before
        {
            position: absolute;
            content: '';
            height: 100%;
            width: 100%;
            background: $positive;
            opacity: 0;
            -webkit-transform: translate3d(-100%, 0, 0);
            transform: translate3d(-100%, 0, 0);
            -webkit-transition: opacity 0.3s, -webkit-transform 0s 0.3s;
            transition: opacity 0.3s, transform 0s 0.3s;
        }
    }
